Bug Hunting Session
Bug 115880 - Wrong Selection with „Navigate By“ Function
Summary: Wrong Selection with „Navigate By“ Function
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.1.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Navigate-By
  Show dependency treegraph
 
Reported: 2018-02-20 13:24 UTC by Harald Koester
Modified: 2018-10-24 13:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-02-20 13:24:42 UTC
In order to reproduce:

[1] Create a new text document and insert 2 small images.
[2] Insert a rectangle between the images. (Insert > Form > Basic > Rectangle)
[3] Insert text into the rectangle. The cursor is now inside the rectangle.
[4] Display Find toolbar.
[5] In this toolbar select Graphics in Navigate By drop-down menu.
[6] Click “Next graphic” (down arrow). The rectangle plus the second image is selected. Expected: Only selection of second image.
[7] Click “Previous graphic” (up arrow). Both images plus the rectangle is selected: Expected: Only selection of first graphic.
Comment 1 Xisco Faulí 2018-02-21 23:47:50 UTC
@Jim, one for you?
Comment 2 Jim Raykowski 2018-02-22 08:39:07 UTC
Happens in 

Version: 5.4.4.2
Build ID: 1:5.4.4~rc2-0ubuntu0.16.04.1~lo1
CPU threads: 1; OS:Linux 4.4; UI render: default; VCL: gtk2;
Locale: en-US (en_US.UTF-8); Calc: group

Text Frame and OLE object will also do this.

Here is a patch:
https://gerrit.libreoffice.org/#/c/50154/
Comment 3 Jim Raykowski 2018-02-24 01:27:39 UTC
I noticed that moving to a table when a drawing object is selected does not show the cursor in the moved to table as expected. The patch for this bug report also fixes this as well.

For sure the move navigation needs more attention.
Comment 4 Commit Notification 2018-02-24 13:35:42 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4b76246055eb8d2b37dbf49684bb7c77068eeb1

tdf#115880 end drawview text editing on move navigation

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-03-27 09:10:07 UTC
A polite ping to Jim Raykowski: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 6 Harald Koester 2018-10-24 13:14:28 UTC
Verified with version 6.1.2. Thus bug closed.
Thanks for fixing.